source: projects/vine-notify-update/Makefile @ 9642

Revision 9642, 23.4 KB checked in by daisuke, 9 years ago (diff)

add initial version of vine-notify-update

Line 
1# Makefile.in generated by automake 1.11.1 from Makefile.am.
2# Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6# Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16
17
18# Makefile.am
19
20pkgdatadir = $(datadir)/vine-notify-update
21pkgincludedir = $(includedir)/vine-notify-update
22pkglibdir = $(libdir)/vine-notify-update
23pkglibexecdir = $(libexecdir)/vine-notify-update
24am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
25install_sh_DATA = $(install_sh) -c -m 644
26install_sh_PROGRAM = $(install_sh) -c
27install_sh_SCRIPT = $(install_sh) -c
28INSTALL_HEADER = $(INSTALL_DATA)
29transform = $(program_transform_name)
30NORMAL_INSTALL = :
31PRE_INSTALL = :
32POST_INSTALL = :
33NORMAL_UNINSTALL = :
34PRE_UNINSTALL = :
35POST_UNINSTALL = :
36subdir = .
37DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
38        $(srcdir)/Makefile.in $(srcdir)/config.h.in \
39        $(top_srcdir)/configure ABOUT-NLS AUTHORS COPYING ChangeLog \
40        INSTALL NEWS config.rpath depcomp install-sh missing
41ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
42am__aclocal_m4_deps = $(top_srcdir)/configure.ac
43am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
44        $(ACLOCAL_M4)
45am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
46 configure.lineno config.status.lineno
47mkinstalldirs = $(install_sh) -d
48CONFIG_HEADER = config.h
49CONFIG_CLEAN_FILES =
50CONFIG_CLEAN_VPATH_FILES =
51AM_V_GEN = $(am__v_GEN_$(V))
52am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
53am__v_GEN_0 = @echo "  GEN   " $@;
54AM_V_at = $(am__v_at_$(V))
55am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
56am__v_at_0 = @
57SOURCES =
58DIST_SOURCES =
59RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
60        html-recursive info-recursive install-data-recursive \
61        install-dvi-recursive install-exec-recursive \
62        install-html-recursive install-info-recursive \
63        install-pdf-recursive install-ps-recursive install-recursive \
64        installcheck-recursive installdirs-recursive pdf-recursive \
65        ps-recursive uninstall-recursive
66RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
67  distclean-recursive maintainer-clean-recursive
68AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
69        $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
70        distdir dist dist-all distcheck
71ETAGS = etags
72CTAGS = ctags
73DIST_SUBDIRS = $(SUBDIRS)
74DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
75distdir = $(PACKAGE)-$(VERSION)
76top_distdir = $(distdir)
77am__remove_distdir = \
78  { test ! -d "$(distdir)" \
79    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
80         && rm -fr "$(distdir)"; }; }
81am__relativize = \
82  dir0=`pwd`; \
83  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
84  sed_rest='s,^[^/]*/*,,'; \
85  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
86  sed_butlast='s,/*[^/]*$$,,'; \
87  while test -n "$$dir1"; do \
88    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
89    if test "$$first" != "."; then \
90      if test "$$first" = ".."; then \
91        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
92        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
93      else \
94        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
95        if test "$$first2" = "$$first"; then \
96          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
97        else \
98          dir2="../$$dir2"; \
99        fi; \
100        dir0="$$dir0"/"$$first"; \
101      fi; \
102    fi; \
103    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
104  done; \
105  reldir="$$dir2"
106GZIP_ENV = --best
107DIST_ARCHIVES = $(distdir).tar.bz2
108distuninstallcheck_listfiles = find . -type f -print
109distcleancheck_listfiles = find . -type f -print
110ACLOCAL = ${SHELL} /home/tomop/data/src/vine-notify-update/missing --run aclocal-1.11
111ALL_LINGUAS = 
112AMTAR = ${SHELL} /home/tomop/data/src/vine-notify-update/missing --run tar
113AM_DEFAULT_VERBOSITY = 0
114AUTOCONF = ${SHELL} /home/tomop/data/src/vine-notify-update/missing --run autoconf
115AUTOHEADER = ${SHELL} /home/tomop/data/src/vine-notify-update/missing --run autoheader
116AUTOMAKE = ${SHELL} /home/tomop/data/src/vine-notify-update/missing --run automake-1.11
117AWK = gawk
118CATALOGS = 
119CATOBJEXT = .gmo
120CC = gcc -std=gnu99
121CCDEPMODE = depmode=gcc3
122CFLAGS = -g -O2
123CPP = gcc -std=gnu99 -E
124CPPFLAGS = 
125CYGPATH_W = echo
126DATADIRNAME = share
127DEFS = -DHAVE_CONFIG_H
128DEPDIR = .deps
129ECHO_C = 
130ECHO_N = -n
131ECHO_T = 
132EGREP = /bin/grep -E
133EXEEXT = 
134GETTEXT_PACKAGE = vine-notify-update
135GMOFILES = 
136GMSGFMT = /usr/bin/msgfmt
137GREP = /bin/grep
138INSTALL = /usr/bin/install -c
139INSTALL_DATA = ${INSTALL} -m 644
140INSTALL_PROGRAM = ${INSTALL}
141INSTALL_SCRIPT = ${INSTALL}
142INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
143INSTOBJEXT = .mo
144INTLLIBS = 
145INTLTOOL_EXTRACT = /usr/bin/intltool-extract
146INTLTOOL_MERGE = /usr/bin/intltool-merge
147INTLTOOL_PERL = /usr/bin/perl
148INTLTOOL_UPDATE = /usr/bin/intltool-update
149INTLTOOL_V_MERGE = $(INTLTOOL__v_MERGE_$(V))
150INTLTOOL_V_MERGE_OPTIONS = $(intltool__v_merge_options_$(V))
151INTLTOOL__v_MERGE_ = $(INTLTOOL__v_MERGE_$(AM_DEFAULT_VERBOSITY))
152INTLTOOL__v_MERGE_0 = @echo "  ITMRG " $@;
153LDFLAGS = 
154LIBOBJS = 
155LIBS = 
156LTLIBOBJS = 
157MAINT = 
158MAKEINFO = ${SHELL} /home/tomop/data/src/vine-notify-update/missing --run makeinfo
159MKDIR_P = /bin/mkdir -p
160MKINSTALLDIRS = ./mkinstalldirs
161MSGFMT = /usr/bin/msgfmt
162MSGFMT_OPTS = -c
163MSGMERGE = /usr/bin/msgmerge
164OBJEXT = o
165PACKAGE = vine-notify-update
166PACKAGE_BUGREPORT = 
167PACKAGE_NAME = vine-notify-update
168PACKAGE_STRING = vine-notify-update 0.5
169PACKAGE_TARNAME = vine-notify-update
170PACKAGE_URL = 
171PACKAGE_VERSION = 0.5
172PATH_SEPARATOR = :
173PKG_CONFIG = /usr/bin/pkg-config
174PKG_CONFIG_LIBDIR = 
175PKG_CONFIG_PATH = 
176POFILES = 
177POSUB = po
178PO_IN_DATADIR_FALSE = 
179PO_IN_DATADIR_TRUE = 
180SET_MAKE = 
181SHELL = /bin/sh
182STRIP = 
183USE_NLS = yes
184VALAC = /usr/bin/valac
185VERSION = 0.5
186VINE_NOTIFY_UPDATE_CFLAGS = -pthread -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/libpng12 -I/usr/include/gtk-3.0 -I/usr/include/atk-1.0 -I/usr/include/at-spi2-atk/2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/cairo -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/pixman-1 -I/usr/include/libdrm 
187VINE_NOTIFY_UPDATE_LIBS = -lnotify -lgtk-3 -lgdk-3 -latk-1.0 -lgio-2.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo-gobject -lpango-1.0 -lcairo -lgobject-2.0 -lglib-2.0 
188VINE_NOTIFY_UPDATE_PACKAGES = --pkg libnotify --pkg gtk+-3.0
189XGETTEXT = /usr/bin/xgettext
190abs_builddir = /home/tomop/data/src/vine-notify-update
191abs_srcdir = /home/tomop/data/src/vine-notify-update
192abs_top_builddir = /home/tomop/data/src/vine-notify-update
193abs_top_srcdir = /home/tomop/data/src/vine-notify-update
194ac_ct_CC = gcc
195am__include = include
196am__leading_dot = .
197am__quote = 
198am__tar = ${AMTAR} chof - "$$tardir"
199am__untar = ${AMTAR} xf -
200bindir = ${exec_prefix}/bin
201build_alias = 
202builddir = .
203datadir = ${datarootdir}
204datarootdir = ${prefix}/share
205docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
206dvidir = ${docdir}
207exec_prefix = ${prefix}
208host_alias = 
209htmldir = ${docdir}
210includedir = ${prefix}/include
211infodir = ${datarootdir}/info
212install_sh = ${SHELL} /home/tomop/data/src/vine-notify-update/install-sh
213intltool__v_merge_options_ = $(intltool__v_merge_options_$(AM_DEFAULT_VERBOSITY))
214intltool__v_merge_options_0 = -q
215libdir = ${exec_prefix}/lib
216libexecdir = ${exec_prefix}/libexec
217localedir = ${datarootdir}/locale
218localstatedir = ${prefix}/var
219mandir = ${datarootdir}/man
220mkdir_p = /bin/mkdir -p
221oldincludedir = /usr/include
222pdfdir = ${docdir}
223prefix = /usr/local
224program_transform_name = s,x,x,
225psdir = ${docdir}
226sbindir = ${exec_prefix}/sbin
227sharedstatedir = ${prefix}/com
228srcdir = .
229sysconfdir = ${prefix}/etc
230target_alias = 
231top_build_prefix = 
232top_builddir = .
233top_srcdir = .
234SUBDIRS = \
235        src \
236        po \
237        data
238
239EXTRA_DIST = \
240        intltool-extract.in \
241        intltool-merge.in \
242        intltool-update.in
243
244DISTCLEANFILES = \
245        intltool-extract \
246        intltool-merge \
247        intltool-update
248
249all: config.h
250        $(MAKE) $(AM_MAKEFLAGS) all-recursive
251
252.SUFFIXES:
253am--refresh:
254        @:
255$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
256        @for dep in $?; do \
257          case '$(am__configure_deps)' in \
258            *$$dep*) \
259              echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
260              $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
261                && exit 0; \
262              exit 1;; \
263          esac; \
264        done; \
265        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
266        $(am__cd) $(top_srcdir) && \
267          $(AUTOMAKE) --gnu Makefile
268.PRECIOUS: Makefile
269Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
270        @case '$?' in \
271          *config.status*) \
272            echo ' $(SHELL) ./config.status'; \
273            $(SHELL) ./config.status;; \
274          *) \
275            echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
276            cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
277        esac;
278
279$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
280        $(SHELL) ./config.status --recheck
281
282$(top_srcdir)/configure:  $(am__configure_deps)
283        $(am__cd) $(srcdir) && $(AUTOCONF)
284$(ACLOCAL_M4)$(am__aclocal_m4_deps)
285        $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
286$(am__aclocal_m4_deps):
287
288config.h: stamp-h1
289        @if test ! -f $@; then \
290          rm -f stamp-h1; \
291          $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
292        else :; fi
293
294stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
295        @rm -f stamp-h1
296        cd $(top_builddir) && $(SHELL) ./config.status config.h
297$(srcdir)/config.h.in:  $(am__configure_deps) 
298        ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
299        rm -f stamp-h1
300        touch $@
301
302distclean-hdr:
303        -rm -f config.h stamp-h1
304
305# This directory's subdirectories are mostly independent; you can cd
306# into them and run `make' without going through this Makefile.
307# To change the values of `make' variables: instead of editing Makefiles,
308# (1) if the variable is set in `config.status', edit `config.status'
309#     (which will cause the Makefiles to be regenerated when you run `make');
310# (2) otherwise, pass the desired values on the `make' command line.
311$(RECURSIVE_TARGETS):
312        @fail= failcom='exit 1'; \
313        for f in x $$MAKEFLAGS; do \
314          case $$f in \
315            *=* | --[!k]*);; \
316            *k*) failcom='fail=yes';; \
317          esac; \
318        done; \
319        dot_seen=no; \
320        target=`echo $@ | sed s/-recursive//`; \
321        list='$(SUBDIRS)'; for subdir in $$list; do \
322          echo "Making $$target in $$subdir"; \
323          if test "$$subdir" = "."; then \
324            dot_seen=yes; \
325            local_target="$$target-am"; \
326          else \
327            local_target="$$target"; \
328          fi; \
329          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
330          || eval $$failcom; \
331        done; \
332        if test "$$dot_seen" = "no"; then \
333          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
334        fi; test -z "$$fail"
335
336$(RECURSIVE_CLEAN_TARGETS):
337        @fail= failcom='exit 1'; \
338        for f in x $$MAKEFLAGS; do \
339          case $$f in \
340            *=* | --[!k]*);; \
341            *k*) failcom='fail=yes';; \
342          esac; \
343        done; \
344        dot_seen=no; \
345        case "$@" in \
346          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
347          *) list='$(SUBDIRS)' ;; \
348        esac; \
349        rev=''; for subdir in $$list; do \
350          if test "$$subdir" = "."; then :; else \
351            rev="$$subdir $$rev"; \
352          fi; \
353        done; \
354        rev="$$rev ."; \
355        target=`echo $@ | sed s/-recursive//`; \
356        for subdir in $$rev; do \
357          echo "Making $$target in $$subdir"; \
358          if test "$$subdir" = "."; then \
359            local_target="$$target-am"; \
360          else \
361            local_target="$$target"; \
362          fi; \
363          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
364          || eval $$failcom; \
365        done && test -z "$$fail"
366tags-recursive:
367        list='$(SUBDIRS)'; for subdir in $$list; do \
368          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
369        done
370ctags-recursive:
371        list='$(SUBDIRS)'; for subdir in $$list; do \
372          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
373        done
374
375ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
376        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
377        unique=`for i in $$list; do \
378            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
379          done | \
380          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
381              END { if (nonempty) { for (i in files) print i; }; }'`; \
382        mkid -fID $$unique
383tags: TAGS
384
385TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
386                $(TAGS_FILES) $(LISP)
387        set x; \
388        here=`pwd`; \
389        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
390          include_option=--etags-include; \
391          empty_fix=.; \
392        else \
393          include_option=--include; \
394          empty_fix=; \
395        fi; \
396        list='$(SUBDIRS)'; for subdir in $$list; do \
397          if test "$$subdir" = .; then :; else \
398            test ! -f $$subdir/TAGS || \
399              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
400          fi; \
401        done; \
402        list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
403        unique=`for i in $$list; do \
404            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
405          done | \
406          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
407              END { if (nonempty) { for (i in files) print i; }; }'`; \
408        shift; \
409        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
410          test -n "$$unique" || unique=$$empty_fix; \
411          if test $$# -gt 0; then \
412            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
413              "$$@" $$unique; \
414          else \
415            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
416              $$unique; \
417          fi; \
418        fi
419ctags: CTAGS
420CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
421                $(TAGS_FILES) $(LISP)
422        list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
423        unique=`for i in $$list; do \
424            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
425          done | \
426          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
427              END { if (nonempty) { for (i in files) print i; }; }'`; \
428        test -z "$(CTAGS_ARGS)$$unique" \
429          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
430             $$unique
431
432GTAGS:
433        here=`$(am__cd) $(top_builddir) && pwd` \
434          && $(am__cd) $(top_srcdir) \
435          && gtags -i $(GTAGS_ARGS) "$$here"
436
437distclean-tags:
438        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
439
440distdir: $(DISTFILES)
441        $(am__remove_distdir)
442        test -d "$(distdir)" || mkdir "$(distdir)"
443        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
444        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
445        list='$(DISTFILES)'; \
446          dist_files=`for file in $$list; do echo $$file; done | \
447          sed -e "s|^$$srcdirstrip/||;t" \
448              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
449        case $$dist_files in \
450          */*) $(MKDIR_P) `echo "$$dist_files" | \
451                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
452                           sort -u` ;; \
453        esac; \
454        for file in $$dist_files; do \
455          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
456          if test -d $$d/$$file; then \
457            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
458            if test -d "$(distdir)/$$file"; then \
459              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
460            fi; \
461            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
462              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
463              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
464            fi; \
465            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
466          else \
467            test -f "$(distdir)/$$file" \
468            || cp -p $$d/$$file "$(distdir)/$$file" \
469            || exit 1; \
470          fi; \
471        done
472        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
473          if test "$$subdir" = .; then :; else \
474            test -d "$(distdir)/$$subdir" \
475            || $(MKDIR_P) "$(distdir)/$$subdir" \
476            || exit 1; \
477          fi; \
478        done
479        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
480          if test "$$subdir" = .; then :; else \
481            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
482            $(am__relativize); \
483            new_distdir=$$reldir; \
484            dir1=$$subdir; dir2="$(top_distdir)"; \
485            $(am__relativize); \
486            new_top_distdir=$$reldir; \
487            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
488            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
489            ($(am__cd) $$subdir && \
490              $(MAKE) $(AM_MAKEFLAGS) \
491                top_distdir="$$new_top_distdir" \
492                distdir="$$new_distdir" \
493                am__remove_distdir=: \
494                am__skip_length_check=: \
495                am__skip_mode_fix=: \
496                distdir) \
497              || exit 1; \
498          fi; \
499        done
500        -test -n "$(am__skip_mode_fix)" \
501        || find "$(distdir)" -type d ! -perm -755 \
502                -exec chmod u+rwx,go+rx {} \; -o \
503          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
504          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
505          ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
506        || chmod -R a+r "$(distdir)"
507dist-gzip: distdir
508        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
509        $(am__remove_distdir)
510dist-bzip2: distdir
511        tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
512        $(am__remove_distdir)
513
514dist-lzma: distdir
515        tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
516        $(am__remove_distdir)
517
518dist-xz: distdir
519        tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
520        $(am__remove_distdir)
521
522dist-tarZ: distdir
523        tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
524        $(am__remove_distdir)
525
526dist-shar: distdir
527        shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
528        $(am__remove_distdir)
529
530dist-zip: distdir
531        -rm -f $(distdir).zip
532        zip -rq $(distdir).zip $(distdir)
533        $(am__remove_distdir)
534
535dist dist-all: distdir
536        tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
537        $(am__remove_distdir)
538
539# This target untars the dist file and tries a VPATH configuration.  Then
540# it guarantees that the distribution is self-contained by making another
541# tarfile.
542distcheck: dist
543        case '$(DIST_ARCHIVES)' in \
544        *.tar.gz*) \
545          GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
546        *.tar.bz2*) \
547          bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
548        *.tar.lzma*) \
549          lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
550        *.tar.xz*) \
551          xz -dc $(distdir).tar.xz | $(am__untar) ;;\
552        *.tar.Z*) \
553          uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
554        *.shar.gz*) \
555          GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
556        *.zip*) \
557          unzip $(distdir).zip ;;\
558        esac
559        chmod -R a-w $(distdir); chmod u+w $(distdir)
560        mkdir $(distdir)/_build
561        mkdir $(distdir)/_inst
562        chmod a-w $(distdir)
563        test -d $(distdir)/_build || exit 0; \
564        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
565          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
566          && am__cwd=`pwd` \
567          && $(am__cd) $(distdir)/_build \
568          && ../configure --srcdir=.. --prefix="$$dc_install_base" \
569            $(DISTCHECK_CONFIGURE_FLAGS) \
570          && $(MAKE) $(AM_MAKEFLAGS) \
571          && $(MAKE) $(AM_MAKEFLAGS) dvi \
572          && $(MAKE) $(AM_MAKEFLAGS) check \
573          && $(MAKE) $(AM_MAKEFLAGS) install \
574          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
575          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
576          && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
577                distuninstallcheck \
578          && chmod -R a-w "$$dc_install_base" \
579          && ({ \
580               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
581               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
582               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
583               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
584                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
585              } || { rm -rf "$$dc_destdir"; exit 1; }) \
586          && rm -rf "$$dc_destdir" \
587          && $(MAKE) $(AM_MAKEFLAGS) dist \
588          && rm -rf $(DIST_ARCHIVES) \
589          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
590          && cd "$$am__cwd" \
591          || exit 1
592        $(am__remove_distdir)
593        @(echo "$(distdir) archives ready for distribution: "; \
594          list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
595          sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
596distuninstallcheck:
597        @$(am__cd) '$(distuninstallcheck_dir)' \
598        && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
599           || { echo "ERROR: files left after uninstall:" ; \
600                if test -n "$(DESTDIR)"; then \
601                  echo "  (check DESTDIR support)"; \
602                fi ; \
603                $(distuninstallcheck_listfiles) ; \
604                exit 1; } >&2
605distcleancheck: distclean
606        @if test '$(srcdir)' = . ; then \
607          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
608          exit 1 ; \
609        fi
610        @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
611          || { echo "ERROR: files left in build directory after distclean:" ; \
612               $(distcleancheck_listfiles) ; \
613               exit 1; } >&2
614check-am: all-am
615check: check-recursive
616all-am: Makefile config.h
617installdirs: installdirs-recursive
618installdirs-am:
619install: install-recursive
620install-exec: install-exec-recursive
621install-data: install-data-recursive
622uninstall: uninstall-recursive
623
624install-am: all-am
625        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
626
627installcheck: installcheck-recursive
628install-strip:
629        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
630          install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
631          `test -z '$(STRIP)' || \
632            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
633mostlyclean-generic:
634
635clean-generic:
636
637distclean-generic:
638        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
639        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
640        -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
641
642maintainer-clean-generic:
643        @echo "This command is intended for maintainers to use"
644        @echo "it deletes files that may require special tools to rebuild."
645clean: clean-recursive
646
647clean-am: clean-generic mostlyclean-am
648
649distclean: distclean-recursive
650        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
651        -rm -f Makefile
652distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
653
654dvi: dvi-recursive
655
656dvi-am:
657
658html: html-recursive
659
660html-am:
661
662info: info-recursive
663
664info-am:
665
666install-data-am:
667
668install-dvi: install-dvi-recursive
669
670install-dvi-am:
671
672install-exec-am:
673
674install-html: install-html-recursive
675
676install-html-am:
677
678install-info: install-info-recursive
679
680install-info-am:
681
682install-man:
683
684install-pdf: install-pdf-recursive
685
686install-pdf-am:
687
688install-ps: install-ps-recursive
689
690install-ps-am:
691
692installcheck-am:
693
694maintainer-clean: maintainer-clean-recursive
695        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
696        -rm -rf $(top_srcdir)/autom4te.cache
697        -rm -f Makefile
698maintainer-clean-am: distclean-am maintainer-clean-generic
699
700mostlyclean: mostlyclean-recursive
701
702mostlyclean-am: mostlyclean-generic
703
704pdf: pdf-recursive
705
706pdf-am:
707
708ps: ps-recursive
709
710ps-am:
711
712uninstall-am:
713
714.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
715        ctags-recursive install-am install-strip tags-recursive
716
717.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
718        all all-am am--refresh check check-am clean clean-generic \
719        ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
720        dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
721        distclean distclean-generic distclean-hdr distclean-tags \
722        distcleancheck distdir distuninstallcheck dvi dvi-am html \
723        html-am info info-am install install-am install-data \
724        install-data-am install-dvi install-dvi-am install-exec \
725        install-exec-am install-html install-html-am install-info \
726        install-info-am install-man install-pdf install-pdf-am \
727        install-ps install-ps-am install-strip installcheck \
728        installcheck-am installdirs installdirs-am maintainer-clean \
729        maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
730        pdf-am ps ps-am tags tags-recursive uninstall uninstall-am
731
732
733# Tell versions [3.59,3.63) of GNU make to not export all variables.
734# Otherwise a system limit (for SysV at least) may be exceeded.
735.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.